Description

Hi,

I maintain redmine on debian, and there we are moving to jquery-rails 4.0. It would be really nice if redmine could also update to

jquery-rails 4.0. Looking at the changelog, there is not a significant difference between 3.1 and 4.0, so this move shouldn't be a

problem.

I am attaching a trivial patch that does this.

History

#1 - 2015-07-18 04:54 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Subject changed from please upgrade jquery-rails to 4.0 to upgrade jquery-rails to 4.0

I think js is needed to upgrade too.

source:tags/3.0.4/public/javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js

#2 - 2015-07-20 17:09 - Antonio Terceiro

is there a reason why redmine is carrying its own embedded copy of jquery and jquery-ui instead of relying on the one that jquery-rails already

provides?

#3 - 2015-07-20 17:19 - Toshi MARUYAMA

AFAIK, Redmine disables asset pipeline (#13927#note-2).

#4 - 2017-07-12 05:41 - Go MAEDA

- Category set to Gems support

- Status changed from New to Resolved

- Target version set to 4.0.0

- Resolution set to Fixed

Redmine 4.0.0 will use latest jquery-rails gem.

source:sandbox/rails-5.1/Gemfile#L8

#5 - 2017-07-22 12:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version deleted (4.0.0)

- Resolution deleted (Fixed)

jquery-rails won't be no longer used in Redmine 4 as Rails does not rely on jquery for its UJS any more.

The gem dependency is removed in r16850.

#6 - 2017-07-22 12:39 - Jean-Philippe Lang

As Redmine 3.4 bundles jquery-ujs, we could simply remove the gem dependency in 3.4. Would it help?
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.0.4/public/javascripts/jquery-1.11.1-ui-1.11.0-ujs-3.1.3.js
https://www.redmine.org/issues/13927#note-2
https://www.redmine.org/projects/redmine/repository/svn/entry/sandbox/rails-5.1/Gemfile#L8
https://www.redmine.org/projects/redmine/repository/svn/revisions/16850
